play.data.validation

## Class ValidationPlugin

- java.lang.Object
- - play.PlayPlugin
  - - play.data.validation.ValidationPlugin

- All Implemented Interfaces:
    java.lang.Comparable<PlayPlugin>

      public class ValidationPlugin
      extends PlayPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.PlayPlugin

      `PlayPlugin.Filter<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.lang.String>>` | `keys`

    - ### Fields inherited from class play.PlayPlugin

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeActionInvocation(java.lang.reflect.Method actionMethod)` Called before an 'action' invocation, ie an HTTP request processing.
    `void` | `beforeInvocation()` Called before a Play! invocation.
    `void` | `invocationFinally()` Called at the end of the invocation.
    `void` | `onActionInvocationResult(Result result)` Called when the action method has thrown a result.
    `void` | `onInvocationException(java.lang.Throwable e)` Called if an exception occurred during the invocation.

    - ### Methods inherited from class play.PlayPlugin

      `addMimeTypes, addTemplateExtensions, afterActionInvocation, afterApplicationStart, afterFixtureLoad, afterInvocation, beforeDetectingChanges, bind, bind, bind, bindBean, compareTo, compileAll, compileSources, detectChange, detectClassesChange, enhance, getFilter, getFunctionalTests, getJsonStatus, getMessage, getStatus, getUnitTests, hasFilter, loadTemplate, modelFactory, onActionInvocationFinally, onApplicationReady, onApplicationStart, onApplicationStop, onClassesChange, onConfigurationRead, onEvent, onInvocationSuccess, onLoad, onRequestRouting, onRoutesLoaded, onTemplateCompilation, overrideTemplateSource, postEvent, rawInvocation, routeRequest, runTest, serveStatic, unBind, willBeValidated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keys

          public static final java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.lang.String>> keys

  - ### Constructor Detail

    - #### ValidationPlugin

          public ValidationPlugin()

  - ### Method Detail

    - #### beforeInvocation

          public void beforeInvocation()

      Description copied from class: `PlayPlugin`
      Called before a Play! invocation. Time to prepare request specific things.
      Overrides:
        `beforeInvocation` in class `PlayPlugin`

    - #### beforeActionInvocation

          public void beforeActionInvocation(java.lang.reflect.Method actionMethod)

      Description copied from class: `PlayPlugin`
      Called before an 'action' invocation, ie an HTTP request processing.
      Overrides:
        `beforeActionInvocation` in class `PlayPlugin`
      Parameters:
        `actionMethod` - name of the method

    - #### onActionInvocationResult

          public void onActionInvocationResult(Result result)

      Description copied from class: `PlayPlugin`
      Called when the action method has thrown a result.
      Overrides:
        `onActionInvocationResult` in class `PlayPlugin`
      Parameters:
        `result` - The result object for the request.

    - #### onInvocationException

          public void onInvocationException(java.lang.Throwable e)

      Description copied from class: `PlayPlugin`
      Called if an exception occurred during the invocation.
      Overrides:
        `onInvocationException` in class `PlayPlugin`
      Parameters:
        `e` - The caught exception.

    - #### invocationFinally

          public void invocationFinally()

      Description copied from class: `PlayPlugin`
      Called at the end of the invocation. (even if an exception occurred). Time to close request specific things.
      Overrides:
        `invocationFinally` in class `PlayPlugin`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly